Subject: bug#15194: hop FTBFS

From: [email-masked] (Ludovic Courtès)
Date: Tue, 27 Aug 2013 10:27:25 +0200

Mark H Weaver <[email-masked]> skribis:

> Using guix from git 5d9cd70721aa8256f333f76c76cecc6593b6b293, hop fails
> to build from source.  Here's the tail of the make transcript:
>
> bigloo -O2 -fsharing -Wall -wslots -L /tmp/nix-build-hop-2.4.0.drv-0/hop-2.4.0/lib -srfi enable-threads -srfi enable-avahi -cc gcc -copt "-O3  -I/nix/store/l4389c6kqs5x339ai7rah7ywaxm97hcs-bigloo-4.0b/lib/bigloo/4.0b" -srfi hop-dynamic  -copt -fPIC -L /tmp/nix-build-hop-2.4.0.drv-0/hop-2.4.0/lib -unsafe -safee -c xml.scm -o o/xml.o
>
> File "xml.scm", line 859, character 33481:
> #	  (let ((js-attr (xml-attribute-encode (xml-tilde->statement obj))))
> #	                 ^
> *** ERROR:xml-tilde->attribute
> Unbound variable -- xml-attribute-encode
>
> File "xml.scm", line 646, character 24544:
> #		    (let ((a (xml-attribute-encode attr)))
> #		             ^
> *** ERROR:xml-write-attribute1293
> Unbound variable -- xml-attribute-encode
>
> File "xml.scm", line 650, character 24709:
> #	  (display (xml-attribute-encode attr) p)))
> #	           ^
> *** ERROR:xml-write-attribute1293
> Unbound variable -- xml-attribute-encode
> 3 errors occured, ending ...

Yes, that’s a consequence of the Bigloo upgrade
(e858326a0f8574e98336046752a4bf786a2c1d0a).  It turns out Hop & Bigloo
have to be upgraded in lockstep.  I believe a new Hop version is around
the corner, so I’m tempted to just wait for that.

WDYT?

Ludo’.